Description

In TPCL Ed2.1 v1p2 sGop10 detail was missing as reported in Issue 5954. It was agreed to add the one from V1p1. sGop10 is
mandatory and contains 2 steps to test FCDA and/or FCD according to PIXIT. There is no PIXIT reference.
If dataset are configurable both steps are "applicable" >mandatory—t-fixed-one-seems-ok-
PIXIT Gp8 is for edition 1 only. Shall we reference to this or create new one?

- If DS are fixed it seems only one step needs to be tested. Whatever is implemented. So FCDA is not mandatory (as its was in ED1)
- Do we need a PIXIT entry at all? If fixed tester cannot modify he can check what exists. If its configurable both steps are applicable.
Is configurable IED allowed to support only FCDA or FCD? Then we need Pixit.

Background: Discussion what needs to be supported in a fixed server. Only FCDA seems ok. If not fixed they would be forced to
implement FCD too.

History

#1 - 04/02/2024 09:17 AM - IEC 61850 TPWG
- Due date set to 04/16/2024

#2 - 04/16/2024 05:44 AM - Richard Schimmel

In Redmine #5954 we added PIXIT reference to sGop10: PIXIT: Gp11 Ed2
When data set is fixed does the GOOSE data set contain:

- structured data objects (FCD)  Y/N

- timestamp data attributes Y/N

See also draft TP1.3. | think this resolves the issue.

#3 - 04/16/2024 08:40 AM - IEC 61850 TPWG
- Due date changed from 04/16/2024 to 04/30/2024

#4 - 04/17/2024 05:02 AM - Goran Pregrad

| think wording sould be impoved so it is obvious that for configrable data sets it is mandatory to execute both steps. Proposal is that at least
Comment section sais:

"Tested with FCDA and/or FCD. If datasets are configurable then both steps are applicable mandatory."
Should we add another line in Gs11 for FCDA, like this:
When data set is fixed does the GOOSE data set contain:

- structured data objects (FCD) Y/N
- *data objects (FCDA) Y/N*
— timestamp data attributes Y/N

In my opinion, if response on first bulet is "Y" for FCD, that has no implication if FCDA is supported.
